Name: R-VR
Summary: R port of "Modern Applied Statistics with S-PLUS" libraries
Group: Applications/Engineering
Copyright: GPL
URL: http://www.stats.ox.ac.uk/pub/MASS2/
Packager: Martyn Plummer <plummer@iarc.fr>
Prefix: /usr
BuildRoot: %{_tmppath}/R-VR
Version: 6.1.R8
Release: 4
Source: ftp://ftp.stat.math.ethz.ch/R-CRAN/src/contrib/VR_6.1-8.tar.gz  
Requires: R-base >= 0.64.0

%description 
Various functions from the libraries of Venables and
Ripley, `Modern Applied Statistics with S-PLUS' (2nd edition),
Springer, 1998. ISBN 0-387-94979-8

%prep
%setup -q -n VR

%build
#
# Install it. You need R-base installed on your build machine for this
#
mkdir --parents ${RPM_BUILD_ROOT}/usr/lib/R/library
for pkg in MASS class nnet spatial; do
   R INSTALL -l ${RPM_BUILD_ROOT}/usr/lib/R/library $pkg
done

%clean
rm -rf  ${RPM_BUILD_ROOT}

%pre
if [ ! -f ${RPM_INSTALL_PREFIX}/lib/R/library/base/TITLE ] || \
   [ ! -x ${RPM_INSTALL_PREFIX}/lib/R/bin/LIBINDEX ]; then
   echo "Can't find R base in" ${RPM_INSTALL_PREFIX}/lib/R
   exit 1
fi

%post
${RPM_INSTALL_PREFIX}/bin/R LIBINDEX

%postun
if [ $1 = 0 ]; then 
   ${RPM_INSTALL_PREFIX}/bin/R LIBINDEX
fi

%files
%attr(-,root,root) /usr/lib/R/library/MASS
%attr(-,root,root) /usr/lib/R/library/class
%attr(-,root,root) /usr/lib/R/library/nnet
%attr(-,root,root) /usr/lib/R/library/spatial
%attr(-,root,root) %doc CHANGES CHANGES.R COPYING DESCRIPTION LICENCE
%attr(-,root,root) %doc VERSION WHATS.NEW scripts

%changelog
* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Jun 15 2000 Than Ngo <than@redhat.de>
- update to 6.1-8 for 7.0
- remove excludearch sparc

* Tue Feb 08 2000 Tim Powers <timp@redhat.com>
- removed icon, breaks in build system
- rebuilt against 0.90.1

* Mon Dec 6 1999 Tim Powers <timp@redhat.com>
- quiet setup
- updated to 6.1-6

* Thu Jul 29 1999 Tim Powers <timp@redhat.com>
- base builds for alpha and i386, so removed Exlusivearch and added
  Excludearch: sparc
	- built for 6.1

* Wed Apr 21 1999 Michael K. Johnson <johnsonm@redhat.com>
- new version, group, etc., built for powertools
	
